Subject: Re: bug#28844: 26.0.90; display-line-numbers-mode should call window-configuration-change-hook

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Oct 2017 05:41:56 +0300

> From: Paul Rankin <[email-masked]>
> Cc: [email-masked], [email-masked]
> Date: Tue, 17 Oct 2017 10:35:57 +1000
> 
> Your mode updates the display on its own without notifying Emacs. The basic conceptual problem is that “every time you need the value” is predicated on when display-line-numbers-mode changes the value. There’s no way for another lisp program to know when that is.

But if you always call line-number-display-width, you don't need to
know that, because that function will return the current value (which
will change to reflect the changes in the space taken by line
numbers).

So I don't think I understand the problem, and without that I cannot
think of a solution.  Can you clarify the problem, please?